html,
body,
#viewDiv {
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
}
#mapDiv {
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
}

.esri-ui-top-right {
  max-height: 100%;
}

.esri-ui-corner .esri-component{
  box-shadow: none !important;
}

.esri-ui-top-right .esri-component{
  margin-bottom: 2px !important;
}

.esri-icon-non-visible::before {
  content: "\e610";
}
.esri-icon-visible::before {
  content: "\e611";
}

.esri-view-height-medium .esri-expand .esri-widget--panel, .esri-view-height-medium .esri-expand .esri-widget--panel-height-only, .esri-view-height-medium .esri-ui-corner .esri-component.esri-widget--panel, .esri-view-height-medium .esri-ui-corner .esri-component.esri-widget--panel-height-only {
    max-height: 850px !important;
}


.esri-ui-corner .esri-expand .esri-widget--panel, .esri-ui-corner .esri-expand .esri-widget--panel-height-only, .esri-ui-corner .esri-component.esri-widget--panel {
    width: 400px !important;
}


#titleDiv {
  padding: 10px;
  /* padding-top: 20; */
  border-radius: 10px;
}
#titleText {
  font-size: 20pt;
  margin: 0px;
  color: #fff;
}
/* color: #69dcff; */
#topbar {
  background: #fff;
  padding: 10px;
}

#elevationDiv {
  font-size: 12pt;
  padding:10px;
  display: none;
  z-index: 1;
}

.action-button {
  font-size: 16px;
  background-color: transparent;
  border: 1px solid #d3d3d3;
  color: #6e6e6e;
  height: 32px;
  width: 32px;
  text-align: center;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.3);
}

.action-button:hover,
.action-button:focus {
  background: #0079c1;
  color: #e4e4e4;
}

.active {
  background: #0079c1;
  color: #e4e4e4;
}

#environmentDiv {
  padding: 10px;
  width: 260px;
  display: none;
}

/* filter by geom */
#infoDiv {
  padding: 10px;
  width: 260px;
  bottom: 15px;
  right: 10px;
  font-size: 14px;
  display: none;
}

.geometry-options {
  display: flex;
  flex-direction: row;
}

.geometry-button {
  flex: 1;
  border-style: solid;
  border-width: 1px;
  border-image: none;
}

.geometry-button-selected {
  background: #4c4c4c;
  color: #fff;
}

.options {
  max-width: 260px;
  width: 100%;
  height: 25px;
}

#bufferNum {
  width: 80%;
}



#screenshotDiv {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 1;
}

.hide {
  display: none;
}

img {
  border: 10px solid white;
  box-shadow: 2px 2px 5px 0 rgba(0, 0, 0, 0.5);
}

#screenshotDiv > * {
  margin: 0.5em;
}

.screenshotCursor {
  cursor: crosshair;
}

.action-button {
  padding: 0.6em;
  border: 1px solid #0079c1;
  text-align: center;
  background-color: white;
  cursor: pointer;
}

.action-button:hover,
.action-button:focus {
  background: #0079c1;
  color: white;
}

#maskDiv {
  position: absolute;
  background: rgba(255, 51, 0, 0.1);
  border: 2px dashed rgb(255, 51, 0);

}

#screenshotBtnDiv {
  padding: 10px;
  width: 260px;
  bottom: 15px;
  right: 10px;
  font-size: 14px;
  display: none;
}

#commentingTool {
  display: none;
}

#replyList {
  max-height: 300px;
  overflow-y: auto;
}

/* Slides */
#slidesDiv {
  position: fixed;
  opacity: 0.9;
  padding-right: 10px;
  visibility: hidden;
  bottom: 15px;
  left: 0;
  right: 0;
  text-align: center;
  width: 100vw;
  max-width:100%;
  display: none;
  overflow-x: auto;
  white-space: nowrap;
  background: rgba(0, 0, 0, 0.2);
}
.slide.active {
   background-color: rgba(0, 121, 193, 0.5);
}

#slidesDiv .slide {
  /* Show cursor as pointer when on a slide */
  cursor: pointer;
  margin-bottom: 6px;
}

#slidesDiv .slide .title {
  /* Center the title text */
  text-align: center;
}
/* Draw active slide with a nice border around the thumbnail */

#slidesDiv .slide.active img {
  box-shadow: 0px 0px 12px black;
  border-style: solid;
  border-width: thin;
  border-color: black;
}

div.scrollmenu {
  background-color: #333;
  /* overflow: auto; */
  overflow-x: auto;
  white-space: nowrap;
}

#slidesDiv div {
  display: inline-block;
  color: white;
  text-align: center;
  padding: 12px;
  text-decoration: none;
  font-size: 12px;
}

#slidesDiv::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #333;
}

#slidesDiv::-webkit-scrollbar
{
	width: 2px !important;
	background-color: #333;
}

#slidesDiv::-webkit-scrollbar-thumb
{
	background-color: #6c757d;
	/* border: 2px solid #555555; */
}
